Subject: Re: LRO restructuring?

From: Rick Jones <[email-masked]>
Date: Mon, 11 Aug 2008 18:30:11 -0700

Herbert Xu wrote:
> On Mon, Aug 11, 2008 at 05:54:34PM -0700, David Miller wrote:
> 
>>And the checksums :-)  As an intermediate node we don't want
>>to touch the checksum.
> 
> 
> Yeah if it wasn't verified then we must store this as well.

Even if it was verified I think you want to keep the checksums from the 
header.   Since an intermediate device isn't supposed to be peeking at 
the TCP part anyway, it wouldn't do to drop the segment ourselves, pass 
it along to be dropped by the ultimate reciever.  And if there is 
something amis in the verification or the regeneration, we don't want to 
  introduce silent data corruption.

Likely that also goes for the IP header checksum...

rick jones